Constants (Tomcat API Documentation)
Keywords: org.apache.coyote.Constants class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.coyote
Class Constants

    java.lang.Object
      org.apache.coyote.Constants

    public final class Constants

extends java.lang.Object

Constants.

Author:
  Remy Maucherat

Field Summary
`static java.lang.String` | `DEFAULT_CHARACTER_ENCODING`
`static java.util.Locale` | `DEFAULT_LOCALE`
`static boolean` | `IS_SECURITY_ENABLED` Has security been turned on?
`static java.lang.String` | `LOCALE_DEFAULT`
`static int` | `MAX_NOTES`
`static int` | `STAGE_ENDED`
`static int` | `STAGE_ENDINPUT`
`static int` | `STAGE_ENDOUTPUT`
`static int` | `STAGE_KEEPALIVE`
`static int` | `STAGE_NEW`
`static int` | `STAGE_PARSE`
`static int` | `STAGE_PREPARE`
`static int` | `STAGE_SERVICE`
`static boolean` | `USE_CUSTOM_STATUS_MSG_IN_HEADER` If true, custom HTTP status messages will be used in headers.

Constructor Summary
`Constants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_CHARACTER_ENCODING

    public static final java.lang.String DEFAULT_CHARACTER_ENCODING

See Also:
  Constant Field Values

### LOCALE_DEFAULT

    public static final java.lang.String LOCALE_DEFAULT

See Also:
  Constant Field Values

### DEFAULT_LOCALE

    public static final java.util.Locale DEFAULT_LOCALE

### MAX_NOTES

    public static final int MAX_NOTES

See Also:
  Constant Field Values

### STAGE_NEW

    public static final int STAGE_NEW

See Also:
  Constant Field Values

### STAGE_PARSE

    public static final int STAGE_PARSE

See Also:
  Constant Field Values

### STAGE_PREPARE

    public static final int STAGE_PREPARE

See Also:
  Constant Field Values

### STAGE_SERVICE

    public static final int STAGE_SERVICE

See Also:
  Constant Field Values

### STAGE_ENDINPUT

    public static final int STAGE_ENDINPUT

See Also:
  Constant Field Values

### STAGE_ENDOUTPUT

    public static final int STAGE_ENDOUTPUT

See Also:
  Constant Field Values

### STAGE_KEEPALIVE

    public static final int STAGE_KEEPALIVE

See Also:
  Constant Field Values

### STAGE_ENDED

    public static final int STAGE_ENDED

See Also:
  Constant Field Values

### IS_SECURITY_ENABLED

    public static final boolean IS_SECURITY_ENABLED

  Has security been turned on?

### USE_CUSTOM_STATUS_MSG_IN_HEADER

    public static final boolean USE_CUSTOM_STATUS_MSG_IN_HEADER

  If true, custom HTTP status messages will be used in headers.

Constructor Detail

### Constants

    public Constants()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.